<div class="phonenumber-verify-view">
    <div class="card-group">
        <div class="card bg-white border-0 rounded-0 mb-0">
            <div class="card-body p-3">
                <div class="form">
                    <div
                        class="alert alert-danger mb-2"
                        role="alert"
                        *ngIf="!saveChange.isValid">
                        <div class="regular size16">
                            <span
                                class="d-block"
                                *ngIf="!formField.mask.isValid">
                                {{ 'phoneNumber.save.error.inputmask.label' | translate }}
                            </span>
                            <span
                                class="d-block mt-1"
                                *ngIf="!formField.phoneNumber.isValid">
                                {{ 'phoneNumber.save.error.phoneNumber.label' | translate }}
                            </span>
                        </div>
                    </div>
                    <div class="form-row d-table">
                        <div class="form-group col-md-6 pr-1 pl-0 field-maskphonenumber">
                            <label
                                class="regular"
                                for="field-maskphonenumber">
                                {{ 'phoneNumber.mask.label' | translate | titlecase }}
                            </label>
                            <ng-select
                                name="field-maskphonenumber"
                                placeholder="{{ 'placeholder.selectItem' | translate | titlecase }}"
                                [searchable]="false"
                                [(ngModel)]="formField.mask.value"
                                (ngModelChange)="
                                    watchChange();
                                    setInputmaskPhoneNumber()
                                ">
                                <ng-option
                                    *ngFor="let item of dataService.maskPhoneNumber.data$"
                                    [value]="item">
                                    <img src="{{ item.type.image }}" alt="" />
                                    &nbsp;&nbsp;
                                    {{ item.mask }}
                                </ng-option>
                            </ng-select>
                        </div>
                        <div class="form-group col-md-6 pr-0 pl-1 field-phonenumber">
                            <label
                                class="regular"
                                for="field-phonenumber">
                                {{ 'phoneNumber.label' | translate | titlecase }}
                            </label>
                            <input
                                trimOnBlur
                                type="text"
                                class="form-control inputbox regular size14"
                                id="field-phonenumber"
                                name="field-phonenumber"
                                placeholder="{{ 'phoneNumber.placeholder.label' | translate | titlecase }}"
                                [(ngModel)]="formField.phoneNumber.value"
                                (ngModelChange)="watchChange()"
                            />
                        </div>
                    </div>
                    <div class="form-row d-table">
                        <div class="form-group col p-0 field-btn">
                            <div class="col text-center pl-0">
                                <a
                                    class="btn btn-sm btn-success"
                                    (click)="saveChange.action()">
                                    <span class="bold text-white size16">
                                        {{ 'confirm' | translate | titlecase }}
                                    </span>
                                </a>
                                <a
                                    class="btn btn-sm btn-danger ml-2"
                                    (click)="
                                        watchChange();
                                        setValue()
                                    ">
                                    <span class="bold text-white size16">
                                        {{ 'reset' | translate | titlecase }}
                                    </span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
